Bug 571759 - "Unable to load certificate" warning from ssh-add is missing trailing newline
"Unable to load certificate" warning from ssh-add is missing trailing newline
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 07:47 EST by Adam Tkac
Modified: 2013-04-30 19:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 08:49:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2010-03-09 07:47:38 EST
Description of problem:
ssh-add utility prints warning "Unable to load certificate" without trailing newline. It doesn't affect functionality of the program but it looks pretty ugly in terminal window.

Version-Release number of selected component (if applicable):
openssh-clients-5.4p1-0.snap20100302.1.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. remove certificate (probably called .ssh/id_rsa-cert.pub, not sure)
2. run ssh-add
3. type your passphrase
  
Actual results:
[atkac@traged ~]$ ssh-add 
Enter passphrase for /home/atkac/.ssh/id_rsa: 
Identity added: /home/atkac/.ssh/id_rsa (/home/atkac/.ssh/id_rsa)
Unable to load certificate /home/atkac/.ssh/id_rsa-cert.pubIdentity added: /home/atkac/.ssh/id_dsa (/home/atkac/.ssh/id_dsa)
Unable to load certificate /home/atkac/.ssh/id_dsa-cert.pub[atkac@traged ~]$

Expected results:
[atkac@traged ~]$ ssh-add 
Enter passphrase for /home/atkac/.ssh/id_rsa: 
Identity added: /home/atkac/.ssh/id_rsa (/home/atkac/.ssh/id_rsa)
Unable to load certificate /home/atkac/.ssh/id_rsa-cert.pub
Identity added: /home/atkac/.ssh/id_dsa (/home/atkac/.ssh/id_dsa)
Unable to load certificate /home/atkac/.ssh/id_dsa-cert.pub
[atkac@traged ~]$
Comment 1 Jan F. Chadima 2010-03-09 08:27:24 EST
Please test final openssh-5.4p1 report it if problem persists.
Comment 2 Adam Tkac 2010-03-10 08:49:53 EST
(In reply to comment #1)
> Please test final openssh-5.4p1 report it if problem persists.    

I tested openssh-5.4p1-1.fc13.x86_64 and it works fine. Closing.

Note You need to log in before you can comment on or make changes to this bug.